[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# THeaderSections.Update

Performs actions needed when a collection item has been changed.

## Declaration

Source position: comctrls.pp line 4012

`protected procedure THeaderSections.Update(`
`Item: TCollectionItem`
`); override;`

## Arguments

`Item` |  | Section updated in the collection for the header control.

## Description

Update is an overridden method used to update the section in the header control. When Item is assigned, the UpdateSection method in the THeaderControl instance is called. If Item is unassigned (contains Nil), the UpdateSections method in the THeaderControl instance is called update all sections in the collection.

Remark: | Update does not call the inherited method which notifies observers of the change.

## See also

TCollection
TPersistent.FPONotifyObservers